export type ContentType = 'movie' | 'series' | 'channel' | 'match';

export interface ContentTypeDetails {
  name: string;
  icon: string;
  color: string;
  badgeColor: string;
}

export const contentTypes: Record<ContentType, ContentTypeDetails> = {
  movie: {
    name: 'Movie',
    icon: 'film',
    color: 'blue',
    badgeColor: 'bg-blue-100 text-blue-800'
  },
  series: {
    name: 'Series',
    icon: 'tv',
    color: 'green',
    badgeColor: 'bg-purple-100 text-purple-800'
  },
  channel: {
    name: 'Channel',
    icon: 'broadcast-tower',
    color: 'orange',
    badgeColor: 'bg-orange-100 text-orange-800'
  },
  match: {
    name: 'Match',
    icon: 'futbol',
    color: 'red',
    badgeColor: 'bg-red-100 text-red-800'
  }
};

export type Status = 'active' | 'inactive' | 'scheduled' | 'live' | 'completed' | 'draft';

export interface StatusDetails {
  name: string;
  badgeColor: string;
}

export const statusTypes: Record<Status, StatusDetails> = {
  active: {
    name: 'Active',
    badgeColor: 'bg-green-100 text-green-800'
  },
  inactive: {
    name: 'Inactive',
    badgeColor: 'bg-gray-100 text-gray-800'
  },
  scheduled: {
    name: 'Scheduled',
    badgeColor: 'bg-yellow-100 text-yellow-800'
  },
  live: {
    name: 'Live',
    badgeColor: 'bg-red-100 text-red-800'
  },
  completed: {
    name: 'Completed',
    badgeColor: 'bg-blue-100 text-blue-800'
  },
  draft: {
    name: 'Draft',
    badgeColor: 'bg-gray-100 text-gray-800'
  }
};
